#include<bits/stdc++.h>
using namespace std;
mt19937 mt(time(0));
int n;
int main(){
	freopen("mode.in","w",stdout);
	int T=3;
	printf("%d\n",T);
	for(int i=1;i<=T;++i){
		n=300;
		printf("%d\n",n);
		for(int i=1;i<=n;++i){
			int x=mt()%6+1;
			printf("%d%c",x," \n"[i==n]);
		}
	}
	return 0;
}
